"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _hooks = require("../../hooks");
var _utils = require("../../utils");
var _animated = require("../../animated");
var _PointerWrapper = _interopRequireDefault(require("../PointerWrapper"));
var _styles = _interopRequireDefault(require("./styles"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const TooltipWrapperComponent = props => {
  const {
    children,
    position = 'bottom',
    animatedPresence,
    ...pointerProps
  } = props;
  const {
    onLayout,
    ...layout
  } = (0, _hooks.useLayout)();
  const stylez = (0, _animated.useAnimatedStyles)(animatedPresence);
  const positionStyles = (0, _react.useMemo)(() => {
    const {
      offset,
      childrenLayout,
      pointerStyle: pointerStyles
    } = props;
    return (0, _utils.getPositionStyles)({
      offset,
      childrenLayout,
      pointerStyle: pointerStyles,
      position,
      layout
    });
  }, [layout, position, props]);
  return /*#__PURE__*/_react.default.createElement(_animated.AnimatedView, {
    onLayout: onLayout,
    style: [_styles.default.tooltipWrapper, positionStyles, stylez]
  }, children, /*#__PURE__*/_react.default.createElement(_PointerWrapper.default, _extends({}, pointerProps, {
    tooltipLayout: layout,
    position: position
  })));
};
const TooltipWrapper = /*#__PURE__*/_react.default.memo(TooltipWrapperComponent);
var _default = TooltipWrapper;
exports.default = _default;
//# sourceMappingURL=TooltipWrapper.js.map