"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getSafeStyle = getSafeStyle;
exports.isValidNumber = isValidNumber;
exports.isVerticalPosition = isVerticalPosition;
function isVerticalPosition(position) {
  return position === 'top' || position === 'bottom';
}
function isValidNumber(value) {
  return typeof value === 'number' && !Number.isNaN(value);
}
function getSafeStyle(style) {
  const {
    width,
    height
  } = style ?? {};
  const safeWidth = isValidNumber(width) && width || 0;
  const safeHeight = isValidNumber(height) && height || 0;
  return {
    ...style,
    width: safeWidth,
    height: safeHeight
  };
}
//# sourceMappingURL=validation.js.map