import React from 'react';
import { StyleSheet, TouchableWithoutFeedback } from 'react-native';
import { useAnimatedStyles, AnimatedView } from '../../animated';
const Overlay = _ref => {
  let {
    children,
    animatedPresence,
    onDismiss,
    overlayStyle
  } = _ref;
  const stylez = useAnimatedStyles(animatedPresence);
  return /*#__PURE__*/React.createElement(TouchableWithoutFeedback, {
    onPress: onDismiss
  }, /*#__PURE__*/React.createElement(AnimatedView, {
    style: [styles.overlay, overlayStyle, stylez]
  }, children));
};
export default Overlay;
const styles = StyleSheet.create({
  overlay: {
    ...StyleSheet.absoluteFillObject,
    backgroundColor: 'rgba(0, 0, 0, 0.5)'
  }
});
//# sourceMappingURL=Overlay.js.map