import React, { useMemo } from 'react';
import { StyleSheet, View } from 'react-native';
import { getPointerWrapperStyle } from '../../utils';
import Pointer from '../Pointer';
import styles from './styles';
const _renderPointer = props => /*#__PURE__*/React.createElement(Pointer, props);
const PointerWrapper = _ref => {
  let {
    tooltipLayout,
    renderPointer = _renderPointer,
    ...pointerProps
  } = _ref;
  const pointerStyles = useMemo(() => StyleSheet.flatten([styles.wrapper, getPointerWrapperStyle(pointerProps, tooltipLayout)]), [pointerProps, tooltipLayout]);
  return /*#__PURE__*/React.createElement(View, {
    style: pointerStyles
  }, renderPointer(pointerProps));
};
export default PointerWrapper;
//# sourceMappingURL=PointerWrapper.js.map