function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React, { useMemo } from 'react';
import { useLayout } from '../../hooks';
import { getPositionStyles } from '../../utils';
import { AnimatedView, useAnimatedStyles } from '../../animated';
import PointerWrapper from '../PointerWrapper';
import styles from './styles';
const TooltipWrapperComponent = props => {
  const {
    children,
    position = 'bottom',
    animatedPresence,
    ...pointerProps
  } = props;
  const {
    onLayout,
    ...layout
  } = useLayout();
  const stylez = useAnimatedStyles(animatedPresence);
  const positionStyles = useMemo(() => {
    const {
      offset,
      childrenLayout,
      pointerStyle: pointerStyles
    } = props;
    return getPositionStyles({
      offset,
      childrenLayout,
      pointerStyle: pointerStyles,
      position,
      layout
    });
  }, [layout, position, props]);
  return /*#__PURE__*/React.createElement(AnimatedView, {
    onLayout: onLayout,
    style: [styles.tooltipWrapper, positionStyles, stylez]
  }, children, /*#__PURE__*/React.createElement(PointerWrapper, _extends({}, pointerProps, {
    tooltipLayout: layout,
    position: position
  })));
};
const TooltipWrapper = /*#__PURE__*/React.memo(TooltipWrapperComponent);
export default TooltipWrapper;
//# sourceMappingURL=TooltipWrapper.js.map