import { getSafeStyle, isVerticalPosition } from './validation';
export function getPositionStyles(props) {
  const {
    position = 'bottom',
    childrenLayout,
    layout,
    offset = 0,
    pointerStyle: pointerStyles
  } = props;
  const {
    width: pointerWidth,
    height: pointerHeight
  } = getSafeStyle(pointerStyles);
  const space = offset + (isVerticalPosition(position) ? pointerHeight : pointerWidth);
  const sideWhenVertical = ((childrenLayout === null || childrenLayout === void 0 ? void 0 : childrenLayout.x) ?? 0) + ((childrenLayout === null || childrenLayout === void 0 ? void 0 : childrenLayout.width) ?? 0) / 2 - ((layout === null || layout === void 0 ? void 0 : layout.width) ?? 0) / 2;
  const sideWhenHorizontal = ((childrenLayout === null || childrenLayout === void 0 ? void 0 : childrenLayout.y) ?? 0) + ((childrenLayout === null || childrenLayout === void 0 ? void 0 : childrenLayout.height) ?? 0) / 2 - ((layout === null || layout === void 0 ? void 0 : layout.height) ?? 0) / 2;
  switch (position) {
    case 'top':
      return {
        top: ((childrenLayout === null || childrenLayout === void 0 ? void 0 : childrenLayout.y) ?? 0) - ((layout === null || layout === void 0 ? void 0 : layout.height) ?? 0) - space,
        left: sideWhenVertical
      };
    case 'bottom':
      return {
        top: ((childrenLayout === null || childrenLayout === void 0 ? void 0 : childrenLayout.y) ?? 0) + ((childrenLayout === null || childrenLayout === void 0 ? void 0 : childrenLayout.height) ?? 0) + space,
        left: sideWhenVertical
      };
    case 'left':
      return {
        left: ((childrenLayout === null || childrenLayout === void 0 ? void 0 : childrenLayout.x) ?? 0) - ((layout === null || layout === void 0 ? void 0 : layout.width) ?? 0) - space,
        top: sideWhenHorizontal
      };
    case 'right':
      return {
        left: ((childrenLayout === null || childrenLayout === void 0 ? void 0 : childrenLayout.x) ?? 0) + ((childrenLayout === null || childrenLayout === void 0 ? void 0 : childrenLayout.width) ?? 0) + space,
        top: sideWhenHorizontal
      };
    default:
      return {};
  }
}
//# sourceMappingURL=position.js.map